Bug 668976 - a test unit ready causes a panic on 5.6 (CCISS driver) [rhel-5.6.z]
Summary: a test unit ready causes a panic on 5.6 (CCISS driver) [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 664592
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-12 10:12 UTC by RHEL Product and Program Management
Modified: 2015-05-05 01:22 UTC (History)
12 users (show)

Fixed In Version: kernel-2.6.18-238.2.1.el5
Doc Type: Bug Fix
Doc Text:
Using the cciss driver, when a TUR (Test Unit Ready) was executed, the rq->bio pointer in the blk_rq_bytes function was of value null, which resulted in a null pointer dereference, and, consequently, kernel panic occurred. With this update, the rq->bio pointer is used only when the blk_fs_request(rq) condition is true, thus, kernel panic no longer occurs.
Clone Of:
Environment:
Last Closed: 2011-03-01 20:30:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0303 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-03-01 20:29:26 UTC

Description RHEL Product and Program Management 2011-01-12 10:12:46 UTC
This bug has been copied from bug #664592 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-01-21 12:28:56 UTC
in kernel-2.6.18-238.2.1.el5

linux-2.6-block-cciss-fix-null-pointer-problem-in-tur-usage.patch

Comment 6 errata-xmlrpc 2011-03-01 20:30:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0303.html

Comment 7 Martin Prpič 2011-07-13 20:20:13 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Using the cciss driver, when a TUR (Test Unit Ready) was executed, the rq->bio pointer in the blk_rq_bytes function was of value null, which resulted in a null pointer dereference, and, consequently, kernel panic occurred. With this update, the rq->bio pointer is used only when the blk_fs_request(rq) condition is true, thus, kernel panic no longer occurs.


Note You need to log in before you can comment on or make changes to this bug.